Bug 534689 - (RHQ-1461) Charts can't handle negative numbers
Charts can't handle negative numbers
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2009-02-02 16:10 EST by Jeff Weiss
Modified: 2014-11-09 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev2798
Last Closed: 2013-12-07 10:40:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot-JON - RHQ Agent 'jweiss.usersys.redhat.com RHQ Agent' - Metric Graphs - Mozilla Firefox.png (130.88 KB, image/png)
2009-02-02 16:10 EST, Jeff Weiss
no flags Details

  None (edit)
Description Jeff Weiss 2009-02-02 16:10:00 EST
The new "Agent-Server Clock Difference" metric for the RHQ Agent will give negative numbers if the agent's clock is slower than the server's clock.

However, the Monitor/Graphs tab will not show negative numbers at all (see attached screenshot).  I found this by testing rhq-915.  I first set the agent clock slower than the server's, waited for some measurements, then set it faster than the server's (2 minutes slow and fast).  

What happens is the graph still bottoms out at 0, but if a measurement period contains negative measurements, it shows the bar descending below 0, to the bottom of the image.

Comment 1 Red Hat Bugzilla 2009-11-10 15:33:30 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1461
Imported an attachment (id=368554)
This bug is related to RHQ-915
Comment 2 wes hayutin 2010-02-16 16:09:15 EST
Mass move to component = Monitoring

Note You need to log in before you can comment on or make changes to this bug.